Question

Your web server's PHP installation does not included a required module (Curl).

Hi,

I have a droplet that is running WordPress 5.7.2 on ubuntu 20.04.2 and PHP Version 7.4.21.

CURL module was already installed in server but the WordPress throws a warning like it was not included.

How to resolve this?


Submit an answer

This textbox defaults to using Markdown to format your answer.

You can type !ref in this text area to quickly search our full set of tutorials, documentation & marketplace offerings and insert the link!

Sign In or Sign Up to Answer

These answers are provided by our Community. If you find them useful, show some love by clicking the heart. If you run into issues leave a comment, or add your own answer to help others.

Want to learn more? Join the DigitalOcean Community!

Join our DigitalOcean community of over a million developers for free! Get help and share knowledge in Q&A, subscribe to topics of interest, and get courses and tools that will help you grow as a developer and scale your project or business.

Hello, @Akash0920

As Bobby mentioned it looks like CURL is not installed for the current version, You can install it with the command that Bobby provided and then restart Apache.

  1. sudo service apache2 restart

You can also check a similar question that was previously asked in our community:

https://www.digitalocean.com/community/questions/curl-is-not-installed-in-your-php-installation

Hope that this helps Regards, Alex

Hello,

Note that, it looks like that you do not have the PHP Curl module installed for the current PHP version that you are using.

The best way to verify if this is the case is to create a PHP info file with the following content and then visit it via your browser:

<?php

phpinfo();

To install the module you could run the following command:

sudo apt install php7.4-curl

Hope that this helps. Regards, Bobby